import { ComponentProps } from '@equinor/fusion-react-utils';
import { SearchableDropdownElement, SearchableDropdownResolver } from '@equinor/fusion-wc-searchable-dropdown';
import { DropdownProps } from './Dropdown';
type ElementProps = DropdownProps & {
    resolver?: SearchableDropdownResolver;
};
export type SearchableDropdownProps = ComponentProps<SearchableDropdownElement, ElementProps>;
export declare const SearchableDropdown: ({ children, resolver, ...props }: React.PropsWithChildren<SearchableDropdownProps>) => JSX.Element;
export default SearchableDropdown;
//# sourceMappingURL=SearchableDropdown.d.ts.map